Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.set
Class CHashtableSet<E extends IHashSetElement>

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CHashtableSet<E>

Direct Known Subclasses:
  CTypeAssumptionSet

    public abstract class CHashtableSet<E extends IHashSetElement>

extends CSet<E>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  Jörg Bäuerle

Constructor Summary
`CHashtableSet()` Author: Jörg Bäuerle

Method Summary
`void` | `addElement(E element)`
`void` | `addElement(IHashSetKey elementKey, E element)`
`boolean` | `contains(E element)`
`boolean` | `equals(java.lang.Object obj)`
`int` | `getCardinality()`
`E` | `getElement(IHashSetKey key)`
`java.util.Hashtable<IHashSetKey,E>` | `getHashtable()`
`java.util.Iterator<E>` | `getIterator()`
`void` | `removeElement(E element)`
`void` | `removeElement(IHashSetKey key)`
`void` | `setHashtable(java.util.Hashtable<IHashSetKey,E> hash)`
`void` | `subtract(CSet<E> anotherSet)`
`void` | `unite(CSet<E> anotherSet)`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`deepCopy, shallowCopy, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CHashtableSet

    public CHashtableSet()

  Author: Jörg Bäuerle

Method Detail

### addElement

    public void addElement(E element)

  Specified by:
    `addElement` in class `CSet<E extends IHashSetElement>`

### addElement

    public void addElement(IHashSetKey elementKey,
                           E element)

### getElement

    public E getElement(IHashSetKey key)

### removeElement

    public void removeElement(E element)

  Specified by:
    `removeElement` in class `CSet<E extends IHashSetElement>`

### removeElement

    public void removeElement(IHashSetKey key)

### getCardinality

    public int getCardinality()

  Specified by:
    `getCardinality` in class `CSet<E extends IHashSetElement>`

### getHashtable

    public java.util.Hashtable<IHashSetKey,E> getHashtable()

### setHashtable

    public void setHashtable(java.util.Hashtable<IHashSetKey,E> hash)

### getIterator

    public java.util.Iterator<E> getIterator()

  Specified by:
    `getIterator` in class `CSet<E extends IHashSetElement>`

### unite

    public void unite(CSet<E> anotherSet)

  Specified by:
    `unite` in class `CSet<E extends IHashSetElement>`

### subtract

    public void subtract(CSet<E> anotherSet)

  Specified by:
    `subtract` in class `CSet<E extends IHashSetElement>`

### contains

    public boolean contains(E element)

  Specified by:
    `contains` in class `CSet<E extends IHashSetElement>`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `CSet<E extends IHashSetElement>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD